package jp.sourceforge.asclipse.as3.element;

import jp.sourceforge.asclipse.as3.resolver.AS3TypeRef;

/**
 * importDeclarationに対応する要素。
 * @author shin1ogawa
 */
public interface AS3Import extends AS3Element {

	/**
	 * @return ひとつの型を対象にしたimportなら{@code true}、そうでないなら{@code false}
	 */
	boolean isSingleType();

	/**
	 * @return import対象となる型への参照オブジェクト
	 */
	AS3TypeRef getTypeRef();
}
